from dajax.core import Dajax
from dajaxice.core import dajaxice_functions

from organization.models import Organization

def ajax_on_select_organization(request, org_id, set_default=False):
    dajax = Dajax()
    if not org_id:
        return dajax.json()
    organization = Organization.objects.get(id=org_id)
    if organization.phone:
        dajax.assign('#id_phone', 'value', organization.phone)
    if organization.fax:
        dajax.assign('#id_fax', 'value', organization.fax)
    return dajax.json()
dajaxice_functions.register(ajax_on_select_organization)

def ajax_on_delete_organization(request):
    dajax = Dajax()
    dajax.assign('#id_phone', 'value', "")
    dajax.assign('#id_fax', 'value', "")
    return dajax.json()
dajaxice_functions.register(ajax_on_delete_organization)