# -*- coding: utf-8 -*-
from django.db.models import Q
from organization.models import Organization

def get_autocomplete_contact_organization(request, query):
    results = []
    print query
    try:
        org_exact = Organization.objects.get(name=query)
        results.append([org_exact.id, "%s" % org_exact.name])
    except:
        pass

    for other_org in Organization.objects.filter(status=1, name__icontains=query)[:10]:
        results.append([other_org.id, "%s" % other_org.name])
    return results